Package com.pixelmed.convert

# Class ConvertAmicasJPEG2000FilesetToDicom.OnlyDirectoriesFileFilter

java.lang.Object
com.pixelmed.convert.ConvertAmicasJPEG2000FilesetToDicom.OnlyDirectoriesFileFilter

All Implemented Interfaces:
  `FileFilter`

Enclosing class:
  ConvertAmicasJPEG2000FilesetToDicom

public final class ConvertAmicasJPEG2000FilesetToDicom.OnlyDirectoriesFileFilter extends Object implements FileFilter

Instances of this class select only Files that are directories.

## Constructor Summary

Constructors
Constructor
Description
`OnlyDirectoriesFileFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File file)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OnlyDirectoriesFileFilter

public OnlyDirectoriesFileFilter()

## Method Details

### accept

public boolean accept(File file)

Specified by:
  `accept` in interface `FileFilter`